{
  "format_version": "1.19.0",
  "animation_controllers": {
    "controller.animation.pr_hete.general": {
      "states": {
        "default": {
          "animations": [
            {
              "swim": "query.is_in_water && !query.is_playing_dead"
            },
            {
              "protect": "query.is_playing_dead"
            },
            {
              "flop": "!query.is_in_water && query.is_on_ground"
            },
            {
              "look_at_target": "query.is_in_water && !query.is_playing_dead"
            }
          ]
        }
      }
    },
    "controller.animation.pr_hete.species": {
      "states": {
        "default": {
          "animations": [
            {
              "crio": "query.is_baby && !query.is_stunned && !query.is_saddled"
            },
            {
              "macro": "query.is_stunned && !query.is_baby && !query.is_saddled"
            },
            {
              "baculites": "!query.is_stunned && !query.is_baby && !query.is_saddled"
            },
            {
              "diplomo": "query.is_saddled && !query.is_stunned && !query.is_baby"
            }
          ]
        }
      }
    }
  }
}